<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8"/>
    <title>Crowdsoft Web-Application-Stack-Platform</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
          content="Crowdsoft bietet die Möglichkeit gezielt nach Gleichgesinnten Personen und Unternehmen zu suchen, die einen ähnlichen Anwendungsfall haben, alleine aber nicht in der Lage sind, sich eine eigene Software-Lösung erstellen zu lassen."/>
    <meta name="keywords"
          content="kollaborative Software-Entwicklung, Software, Innovation, Kollaboration Lab, arbeitserleichternd Software, Beta-Phase"/>
    <!-- favicon -->
    <link rel="shortcut icon" href="/static/images/shortcut-logo.png">
    <!-- Bootstrap -->
    <link href="/static/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <!-- Icons -->

    <!-- Slider -->
    <link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="css/tiny-slider.css"/>
    <noscript><link rel="stylesheet" href="css/tiny-slider.css"/></noscript>
    <!-- Animation -->

    <!-- Main Css -->
    <link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/static/css/style.css" type="text/css" id="theme-opt"/>
    <noscript><link href="/static/css/style.css" rel="stylesheet" type="text/css" id="theme-opt"/></noscript>

    <link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/static/css/font.css" type="text/css"/>
    <noscript><link href="/static/css/font.css" rel="stylesheet" type="text/css"/></noscript>

    <link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/static/css/colors/skobleoff.css" id="color-opt">
    <noscript><link href="/static/css/colors/skobleoff.css" rel="stylesheet" id="color-opt"></noscript>

    <link rel="preload" as="style" onload="this.onload=null;this.rel='stylesheet'" href="/static/css/style-crowdsoft.css" type="text/css" id="theme-opt"/>
    <noscript><link href="/static/css/style-crowdsoft.css" rel="stylesheet" type="text/css" id="theme-opt"/></noscript>
    {% include 'snippets/matomo.tpl' %}
</head>

<body data-bs-offset="20">


<!-- Navbar Start -->
<header id="topnav" class="defaultscroll sticky bg-white">
    {% include 'snippets/header.tpl' %}
</header>
<!--end header-->
<!-- Navbar End -->

<section class="bg-half-170 d-table w-100 overflow-hidden" id="home">
    <div class="container">
        <div class="row align-items-center pt-5">
            <div class="col-lg-7 col-md-6">
                <div class="title-heading">
                            <h1 class="heading mb-3">Crowdsoft<br> Web-Application-Stack Platform</h1>
                    <p class="para-desc text-muted">Hightech aus Deutschland: Das Crowdsoft Web-Application-Stack Platform (WASP) ist
                        das Ergebnis
                        mehrerer Jahre Forschung und Entwicklung und bereits einige Jahre im Einsatz als Basis für
                        professionelle Applikationen. Aber auch als auch Plattform für

                        <ul class="list-unstyled text-muted">
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span> <mark class="text-primary fw-bold">Rapid-Development</mark>
                                Projekte im Microservice-Umfeld ist ein
                                <mark class="text-primary fw-bold">WASP</mark>
                                Wettbewerbsvorteil.</li>
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span> Das Beste: Die Crowdsoft Web-Application-Stack Plattform ist
                                <mark class="text-primary fw-bold">Open-Source</mark>
                                und für jeden kostenlos verfügbar!</li>
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span>Die Weiterentwicklung und Versorgnung mit Patches gewährleistet dabei die Crowdsoft-Foundation.</li>
                        </ul>

                        
                    </p>

                </div>
                <div class="mt-4">
                    <a href="#getting-started" class="btn btn-primary">Mehr erfahren <svg xmlns="https://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right fea icon-sm"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg></a>
                </div>
            </div><!--end col-->

            <div class="col-lg-5 col-md-6 mt-4 pt-2 mt-sm-0 pt-sm-0">
                <div class="classic-saas-image position-relative">
                    <div class="bg-saas-shape position-relative">
                        <picture>
                            <source srcset="/static/images/content/dashboard.webp" />
                            <img src="/static/images/content/dashboard.png" class="mx-auto d-block" alt="Example Screenshot of Applications Dashboard">
                        </picture>
                    </div>
                </div>
            </div><!--end col-->
        </div><!--end row-->
    </div><!--end container-->
</section>

<!-- Start -->
<section id="getting-started" class="section">

    <!-- How it works Start -->
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-12 text-center">
                <div class="section-title mb-4 pb-2">
                    <span class="badge rounded-pill bg-soft-primary">Technik</span>
                    <h2 class="title mt-3 mb-4">Technische Exzellenz, niedrige Einstiegshürden</h2>
                    <p class="text-muted para-desc mb-0 mx-auto">Microservices, Eventstreaming, asynchrone Verarbeitung,
                        Skalierbarkeit, Sicherheit by Design, Datenschutz...<br/>
                        Wer heute professionell Cloud-Anwendungen bauen will, muss mit einer Menge Themen gleichzeitig
                        den Kampf aufnehmen.
                        Das
                        <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark>
                        hilft Dir dabei und bietet funktionierende Best-Practises in einer hochflexiblen, skalierbaren und auf ihren Einsatz-Zweck optimierbaren Umgebung.<br/>
                    </p>

                </div>
            </div>
            <!--end col-->
        </div>
        <!--end row-->

        <div class="row">

            <div class="col-lg-4 col-md-6 col-12 mt-4 pt-2">
                <div class="card features fea-primary rounded p-4 bg-light position-relative overflow-hidden border-0">
                    <span class="h1 icon2 text-primary">
                        <i class="material-icons-outline  h2 text-primary"> groups</i>
                    </span>
                    <div class="card-body p-0 content">
                        <h2 class="h5">Infrastruktur</h2>
                        <p class="mb-0">Jede Anwendung ist nur so gut wie die Infrastruktur auf der diese
                            betrieben wird.<br/>
                            Daher liefert das
                            <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark>
                            auch eine sofort verwendbare Infrastruktur-Lösung basierend auf dem Container-Orchestrierungs-Tool
                            <mark class="text-primary fw-bold">Kubernetes</mark> mit.
                            Du kannst zukunftssicher und ohne die Gefahr eines Vendor-Lock-Ins in die Cloud starten.
                            Sofern die Best-Practises während der Entwicklung eingehalten werden, musst Du Dir
                            keine Gedanken um eine spätere Skalierung für mehr Last machen. Die Grundlagen
                            dafür sind im System integriert.
                        </p>
                    </div>
                </div>
            </div>
            <!--end col-->

            <div class="col-lg-4 col-md-6 col-12 mt-4 pt-2">
                <div class="card features fea-primary rounded p-4 bg-light position-relative overflow-hidden border-0">
                    <span class="h1 icon2 text-primary">
                        <i class="material-icons-outline  h2 text-primary"> groups</i>
                    </span>
                    <div class="card-body p-0 content">
                        <h2 class="h5">Backends</h2>
                        <p class="mb-0">
                            Das
                            <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark>
                            bietet Dir eine ganze Reihe von Basis-Diensten automatisch an:
                        <ul class="">
                            <li>Authentifizierung</li>
                            <li>Registrierung</li>
                            <li>Berechtigungssystem</li>
                            <li>Browser-Synchronisierung</li>
                            <li>und viele mehr...</li>
                        </ul>
                    </p>
                        <p class="mb-0">
                        Einbindung von bereits bestehenden Legacy Systemen? Auch kein Problem. Dank des
                        vorkonfigurierten <mark class="text-primary fw-bold">Kong-Gateways</mark>
                        kannst Du bestehende Systeme leicht einbinden.
                        </p>
                    </div>
                </div>
            </div>
            <!--end col-->
            <div class="col-lg-4 col-md-6 col-12 mt-4 pt-2">
                <div class="card features fea-primary rounded p-4 bg-light position-relative overflow-hidden border-0">
                    <span class="h1 icon2 text-primary">
                        <i class="material-icons-outline  h2 text-primary"> groups</i>
                    </span>
                    <div class="card-body p-0 content">
                        <h2 class="h5">Frontends</h2>
                        <p class=" mb-0">
                            Dank der konsequenten Verwendung von APIs, sind dem Frontend keine Grenzen gesetzt.<br/>
                            Abhängig von den Voraussetzungen kannst Du sowohl ein CMS wie z.B.
                            <mark class="text-primary fw-bold">Wordpress</mark>, als auch
                            klassische Webseiten oder Mobile-Apps als Frontend verwenden.<br/>
                            Um den Einstieg zu erleichtern, liefert das
                            <mark class="text-primary fw-bold">WASP</mark> für alle Anwendungen Referenz-Frontends in
                            <mark class="text-primary fw-bold">HTML</mark> / <mark class="text-primary fw-bold">Javascript</mark>
                            mit, so dass Du sofort loslegen kannst. Die Javascript-Implementierungen kannst Du dabei 1:1 verwenden,
                            wenn Du z.B. nur ein Frontend mit der eigenen Corporate Identity benötigst.
                        </p>
                    </div>
                </div>
            </div>
            <!--end col-->


        </div>
        <!--end row-->
    </div>
    <!--end container-->


    <!-- Text right Start -->
    <div class="container mt-100 mt-60">
        <div class="row align-items-center">
            <div class="col-md-6">
                <div class="me-lg-5  bg-dark">
                    <!-- code snippit Start -->
                    <div class="text-light">
                            <pre class="  language-ts" tabindex="0"><code class="  language-ts">
&lt;script defer type="module"&gt;import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';
    new pbBrain().boot("login-circuit", false);
&lt;/script&gt;
                            </code></pre>
                    </div>
                </div>
            </div>
            <!--end col-->

            <div class="col-md-6 mt-4 pt-2 mt-sm-0 pt-sm-0">
                <div class="section-title">
                    <h2 class="h4 title mb-4">Integration von Applikationen
                        <br>in bestehende Webseiten</h2>
                    <p class="text-muted">
                        Durch die starke Modularisierung des
                        <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark>
                        kannst Du Anwendungen in bereits bestehende Webseiten einbinden.
                    </p>
                    <p class="text-muted">
                        Hierfür benötigst Du lediglich die Javascript-Bibliotheken des
                        <mark class="text-primary fw-bold">WASP</mark>.
                        Die Einbindung der Funktionen erfolgt dann durch Hinzufügen weniger Zeilen in Deine bestehende Webseite.<br/>
                        Um beispielsweise das Login-Formular auf einer eigenen Webseite zu verwenden und den Login am
                        <mark class="text-primary fw-bold">WASP</mark> durchzuführen, brauchst Du nur die links stehenden Zeilen in die
                        gewünschte Seite kopieren. Schon kannst Du die Login-Funktion des
                        <mark class="text-primary fw-bold">WASP</mark> aufrufen.
                    </p>

                </div>
            </div>
            <!--end col-->
        </div>
        <!--end row-->
    </div>
    <!--end container-->
    <!-- Text left Start -->
    <div class="container mt-100 mt-60">
        <div class="row align-items-center">
            <div class="col-md-6 order-1 order-md-2">
                <div class="me-lg-5 bg-dark">
                    <!-- code snippit Start -->
                    <div class="text-light">
                            <pre class=" language-ts" tabindex="0">
                                <code class="  language-ts">
// Fire event only in local browser...
let event_data = {"username": $("#login").val(), "password": $("#password").val()}
fireEvent("login_button_clicked", event_data)

// Or let all logged in users in a certain group know about the event so they can react
let event_data = {"title": $("#title").val(), "description": $("#description").val()}
fireEvent("new_ticket_created", event_data, "support_group")

                                </code>
                            </pre>
                            <pre class=" language-ts" tabindex="0">
                                <code class="  language-ts">
// Code to react on "login_button_clicked" event
function login(login, password) {
    // Perform login here
}
document.addEventListener('login_button_clicked', (args) => login(args["username"], args["password"]));

// Code to react on "new_ticket_created" event
function notify_support_about_new_ticket(title) {
    alert("A new ticket was created with the title " + title)
}
function refresh_ticket_list() {
    // Code to reload ticket-list without reloading the whole page
}
document.addEventListener('new_ticket_created', (args) => notify_support_about_new_ticket(args["title"]));
document.addEventListener('new_ticket_created', (args) => refresh_ticket_list());
                                </code>
                            </pre>
                    </div>
                </div>
            </div>
            <!--end col-->

            <div class="col-md-6 order-2 order-md-1 mt-4 pt-2 mt-sm-0 pt-sm-0">
                <div class="section-title">
                    <h2 class="h4 title mb-4">Maximale Flexibilität durch Events</h2>
                    <p class="text-muted">

                    </p>
                    <p class="text-muted">
                        Anforderungen an Software ändern sich laufend. Daraus entwickelt sich oft eine schlecht
                        zu wartende Code-Basis in der Arbeitsabläufe "hart verdrahtet" werden. Irgendwann kommt, was wir
                        den "Jenga-Punkt" nennen:
                    </p>

                    <p class="text-muted">
                        Die nächste Änderung ist kaum mehr mit vertretbarem Aufwand integrierbar und das gesamte System "kippt um".
                    </p>
                        
                     
                        <p class="text-muted"> Um das zu verhindern, bedient sich <mark class="text-primary fw-bold">WASP</mark> eines Event-Driven-Paradigmas:</p>
                        <ul class="list-unstyled text-muted">
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span>
                                Jede Handlung des Benutzers wird als "Ereignis" dem Gesamtsystem bekannt gemacht. Interessierte
                                Anwendungsteile können nun "Listener" für diese Events anmelden und werden so immer benachrichtigt, wenn "Ereignis" eintritt.
                            </li>
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span>
                                Dadurch gibt es keine festen Verbindungen mehr, die durch Workflow-Änderungen immer wieder angepasst werden müssen.
                                Stattdessen werden nur noch neue Funktionen an bestehende Ereignisse "angekoppelt" oder bereits "angekoppelte" wieder
                                entfernt.
                            </li>
                            <li class="mb-1"><span class="material-icons-outline text-primary h5 me-2 pt-1 align-middle">check_circle_outline</span>
                                Auch der zeitgleiche Aufruf mehrerer Funktionen auf ein Ereignis hin wird damit sehr leicht möglich.
                            </li>
                        </ul>
                        <p class="text-muted"> 
                            Sogar das Verteilen der Events an die Mitglieder einer Benutzergruppe, um alle über neue Tätigkeiten zu informieren, ist möglich.</p>
                        <p class="text-muted"> </p>


                </div>
            </div>
            <!--end col-->
        </div>
        <!--end row-->
    </div>
    <!--end container-->

    <!-- Quickstart Start -->
    <div class="container mt-100 mt-60">
        <div class="row justify-content-center">
            <div class="col-12">
                <div class="section-title text-center mb-4 pb-2">
                    <h2 class="h6 text-primary">Quickstart</h2>
                    <h3 class="h4 title mb-4">Jetzt ausprobieren!</h3>
                    <p class="para-desc mx-auto text-muted mb-0">Teste das <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark>
                        ganz einfach auf Deinem Entwicklungs-PC. Du benötigst nur Docker und mindestens 8GB Ram.</p>
                </div>
            </div>
            <!--end col-->
        </div>
        <!--end row-->


        <div class="row justify-content-center">
            <div class="col-lg-8 col-mg-10 mt-4 pt-2">
                <div class="bg-dark bg-white-dark p-4 rounded shadow">
                    <div class="row">
                        <div class="col-lg-12">
                            <ul class="nav nav-pills nav-justified flex-column flex-sm-row rounded bg-soft-light"
                                id="pills-tab">
                                <li class="nav-item">
                                    <a class="nav-link nav-link-alt rounded active" id="pills-npm-tab"
                                       data-bs-toggle="pill" href="#pills-npm">
                                        <div class="text-center">
                                            <h4 class="h5 title fw-normal mb-0">Windows</h4>
                                        </div>
                                    </a>
                                    <!--end nav link-->
                                </li>
                                <!--end nav item-->

                                <li class="nav-item">
                                    <a class="nav-link nav-link-alt rounded" id="pills-nuget-tab"
                                       data-bs-toggle="pill" href="#pills-nuget">
                                        <div class="text-center">
                                            <h4 class="h5 title fw-normal mb-0">Linux</h4>
                                        </div>
                                    </a>
                                    <!--end nav link-->
                                </li>
                                <!--end nav item-->

                                <li class="nav-item">
                                    <a class="nav-link nav-link-alt rounded" id="pills-spm-tab"
                                       data-bs-toggle="pill" href="#pills-spm">
                                        <div class="text-center">
                                            <h4 class="h5 title fw-normal mb-0">Mac</h4>
                                        </div>
                                    </a>
                                    <!--end nav link-->
                                </li>
                                <!--end nav item-->

                            </ul>
                            <!--end nav pills-->
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->

                    <div class="row">
                        <div class="col-12">
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-npm"
                                     aria-labelledby="pills-npm-tab">
                                    <p class="text-muted code-muted fw-bold mb-0">
                                        // Open Powershell<br/>
                                        ⊞ Win+R ->
                                        powershell<br/>
                                    // In Powershell, download the archive<br/>
                                    <span class="text-success">$</span> Invoke-WebRequest https://gitlab.com/planblick_os/tools/stack-manager/-/archive/master/stack-manager-master.zip -OutFile ./crowdsoft-application-framework.zip<br/>
                                    // Unpack the archive<br/>
                                    <span class="text-success">$</span> Expand-Archive -LiteralPath .\crowdsoft-application-framework.zip -DestinationPath ./ <br/>
                                    // Change into the unpacked folder<br/>
                                    <span class="text-success">$</span> cd stack-manager-master<br/>
                                    // Run the installer<br/>
                                    <span class="text-success">$</span> ./install.ps1<br/>
                                    // To uninstall <br/>
                                    <span class="text-success">$</span> ./uninstall.ps1
                                </div>
                                <!--end teb pane-->

                                <div class="tab-pane fade" id="pills-nuget"
                                     aria-labelledby="pills-nuget-tab">
                                    <p class="text-muted code-muted fw-bold mb-0">coming soon ...</p>
                                </div>
                                <!--end teb pane-->

                                <div class="tab-pane fade" id="pills-spm"
                                     aria-labelledby="pills-spm-tab">
                                    <p class="text-muted code-muted fw-bold mb-0">coming soon ...</p>
                                </div>
                                <!--end teb pane-->
                            </div>
                            <!--end tab content-->
                        </div>
                        <!--end col-->
                    </div>
                    <!--end row-->
                </div>


            </div>
            <!--end col-->
        </div>
        <!--end row-->
    </div>
    <!--end container-->

    <div class="container mt-100 mt-60">
        <div class="row justify-content-center">
            <div class="col-12 text-center">
                <div class="section-title">
                    <h4 class="title mb-4">Noch Fragen?</h4>
                    <p class="text-muted para-desc mx-auto">
                        Für alle Fragen und Probleme steht Dir kostenlos die <a href="#">Dokumentation</a> und das <mark class="text-primary fw-bold">WASP</mark>-Forum zur Verfügung.
                        Dort sind regelmäßig die Entwickler, aber auch Projektverantwortlichen und andere Nutzer der
                        <mark class="text-primary fw-bold">Crowdsoft Web-Application-Stack Platform</mark> unterwegs und helfen Dir
                        gerne mit Rat und Tat weiter:
                        <a href="https://forum.crowdsoft.net">Zum Forum</a><br/>
                        Oder buche direkt einen Beratungs-Termin bei einem der zertifizierten Crowdsoft-Partner-Unternehmen:
                    </p>

                </div>
            </div>
            <div class="col-12 mt-3 text-center">
                <a href="./software-application.html#StartNow" class="btn btn-pills btn-primary">Zu den Partner-Unternehmen</a>
            </div>
            <!--end col-->
        </div>
        <!--end row-->
    </div>
    <!--end container-->
</section>
<!--end section-->
<!-- End -->

{% include 'snippets/footer.tpl' %}

<!-- javascript -->
<script src="/static/js/jquery/jquery.min.js"></script>
<script src="/static/js/bootstrap.bundle.min.js"></script>
<script src="/static/js/gumshoe.polyfills.min.js"></script>


<!-- Icons -->
<script src="/static/js/feather.min.js"></script>

<!-- Main Js -->
<script src="/static/js/app.js"></script>

<!-- Newsletter Js -->
<!-- Contact Js -->

<!-- Animation -->
<script src="/static/js/aos.js "></script>

<!-- Animation Js -->
<script>
    AOS.init({
        easing: 'ease-in-out-sine',
        duration: 1000
    });
</script>
</body>

</html>